
dt=input('enter data column:  ');
 
tmin=input('enter minimum time slice [default 0]:  ');
if (isempty(tmin))
    tmin = 0;
endif

tmax=input('enter maximum time slice [default 10000000]:  ');
if (isempty(tmax))
    tmax = 10000000;
endif

tpause = input ('enter pause time [default 1]:  ');
if (isempty(tpause))
    tpause = 1;
endif

if (tmin < tmax)
    tinc = 1;
else
    tinc = -1;
endif

bounds = input ('enter bounds array (2X3) [default .5mm X .5mm X 2.01m]:  ');
if (isempty(bounds))
    bounds = [[-1,1]*.5*mm;[-1,1]*.5*mm;[-2*m,cm]];
endif

scale = input('enter scaling [default 1]:  ');
if (isempty(scale))
    scale =1;
endif

nscale = input('divide by number particles [0==false, default == 0]:  ');
if (isempty(nscale))
    nscale=0;
endif

z = 0:-mm:-1.85*m;
x = y = 0*z;

for t=tmin:tinc:tmax;
    D = ointerp(iid, t, dt, x, y, z);

    if (nscale != 0)
        N = ointerp(iid, t, 4, x, y, z);
        D ./= N;
    endif

    title(sprintf('%g ms',t));
    plot(z,D*scale);
    pause(tpause);
end
